Bug 19057 - Move C4::Reserves::GetReserve to the Koha namespace
Summary: Move C4::Reserves::GetReserve to the Koha namespace
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19056
Blocks: 17728 19058
  Show dependency treegraph
 
Reported: 2017-08-07 20:55 UTC by Jonathan Druart
Modified: 2017-10-10 09:08 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19057: Move C4::Reserve::GetReserve to Koha::Holds (17.50 KB, patch)
2017-08-07 21:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19057: Remove C4::Reserves::GetReserve (1.10 KB, patch)
2017-08-07 21:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19057: Move C4::Reserve::GetReserve to Koha::Holds (17.59 KB, patch)
2017-08-08 08:40 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 19057: Remove C4::Reserves::GetReserve (1.23 KB, patch)
2017-08-08 08:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 19057: Move C4::Reserve::GetReserve to Koha::Holds (17.65 KB, patch)
2017-09-01 17:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 19057: Remove C4::Reserves::GetReserve (1.28 KB, patch)
2017-09-01 17:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-08-07 20:55:41 UTC
C4::Reserves::GetReserve must be replaced with Koha::Holds->find
Comment 1 Jonathan Druart 2017-08-07 21:15:12 UTC
Created attachment 65612 [details] [review]
Bug 19057: Move C4::Reserve::GetReserve to Koha::Holds

This GetReserve subroutine can be replaced with Koha::Holds->find

Test plan:
-  git grep GetReserve
must not return results where GetReserve is called
- Cancel a reserve
Comment 2 Jonathan Druart 2017-08-07 21:15:35 UTC
Created attachment 65613 [details] [review]
Bug 19057: Remove C4::Reserves::GetReserve
Comment 3 Marc Véron 2017-08-08 08:40:43 UTC
Created attachment 65618 [details] [review]
Bug 19057: Move C4::Reserve::GetReserve to Koha::Holds

This GetReserve subroutine can be replaced with Koha::Holds->find

Test plan:
-  git grep GetReserve
must not return results where GetReserve is called
- Cancel a reserve

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Marc Véron 2017-08-08 08:42:22 UTC
Created attachment 65619 [details] [review]
Bug 19057: Remove C4::Reserves::GetReserve

Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Kyle M Hall 2017-09-01 17:56:38 UTC
Created attachment 66775 [details] [review]
Bug 19057: Move C4::Reserve::GetReserve to Koha::Holds

This GetReserve subroutine can be replaced with Koha::Holds->find

Test plan:
-  git grep GetReserve
must not return results where GetReserve is called
- Cancel a reserve

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2017-09-01 17:56:44 UTC
Created attachment 66776 [details] [review]
Bug 19057: Remove C4::Reserves::GetReserve

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2017-09-01 20:20:14 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-10-10 09:07:55 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 9 Fridolin SOMERS 2017-10-10 09:08:36 UTC
Oups mistake :
Enhancement not pushed to 17.05.x